Subject: Draft dependency tool

From: Bill Fenner <[email-masked]>
Date: Tue, 5 Oct 2004 12:09:34 -0700

I've written an initial start at a tool to query my I-D dependency
database.  I build this up by parsing drafts and looking for things
that look like references to other drafts.

I'm looking for feedback as to what would be useful.  Right now you
have to use SQL wildcard syntax since it was just hacked together,
but for example, entering "%ietf-pim-sm%" into the second input field
results in a list of a fair number of documents that have some kind
of reference to the PIM-SM document.  Entering the same into the first
field results in the list of documents that PIM-SM itself depends on.

Eventual plans include hooking up to other databases that know
the current status of drafts, and perhaps recursive queries (as
in, what else does this document and all of its normative references
depend on -- the "what will it take for this to be published" query).
Other suggestions are welcome.

  Bill